# class SISFileHeader

The first part of a SISFile. More...

Definition | `#include <sisfileheader.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum FileOptions { op_isUnicode = 1, op_isDistributable = 2 , op_noCompress = 8, op_shutdownApps = 16 }
- enum FileType { FT_App = 0 , FT_System = 1, FT_Option = 2, FT_Config = 3, FT_Patch = 4, FT_Upgrade = 5 }

#### Public Methods

- SisRC compareApp (SISFileHeader* other)
- SisRC fillFrom (uint8_t* buf, int* base, off_t len)
- void setDrive (char drive)
- void setFiles (int nFiles)

#### Public Members

- uint32_t m_uid1
- uint32_t m_uid2
- uint32_t m_uid3
- uint32_t m_uid4
- uint16_t m_crc
- uint16_t m_nlangs
- uint16_t m_nfiles
- uint16_t m_nreqs
- uint16_t m_installationLanguage
- uint16_t m_installationFiles
- uint32_t m_installationDrive
- uint32_t m_installerVersion
- uint16_t m_options
- uint16_t m_type
- uint16_t m_major
- uint16_t m_minor
- uint32_t m_variant
- uint32_t m_languagePtr
- uint32_t m_filesPtr
- uint32_t m_reqPtr
- uint32_t m_unknown
- uint32_t m_componentPtr

## Detailed Description

The first part of a SISFile.

This file header is referenced from most other parts of the sis file, mainly since it contains the list of languages.

SisRC compareApp (SISFileHeader* other)

### compareApp

Compare uid and version number of this file, with another.

SisRC fillFrom (uint8_t* buf, int* base, off_t len)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read from.
base | The index to start reading from, which is updated when the header is successfully read.
len | The length of the buffer.

void setDrive (char drive)

### setDrive

Update the drive letter, and patch the parsed buffer.

void setFiles (int nFiles)

### setFiles

Update the number of installed files, and patch the parsed buffer.

enum FileOptions { op_isUnicode = 1, op_isDistributable = 2 , op_noCompress = 8, op_shutdownApps = 16 }

### FileOptions

enum FileType { FT_App = 0 , FT_System = 1, FT_Option = 2, FT_Config = 3, FT_Patch = 4, FT_Upgrade = 5 }

### FileType

uint32_t m_uid1

### m_uid1

uint32_t m_uid2

### m_uid2

uint32_t m_uid3

### m_uid3

uint32_t m_uid4

### m_uid4

uint16_t m_crc

### m_crc

uint16_t m_nlangs

### m_nlangs

uint16_t m_nfiles

### m_nfiles

uint16_t m_nreqs

### m_nreqs

uint16_t m_installationLanguage

### m_installationLanguage

uint16_t m_installationFiles

### m_installationFiles

uint32_t m_installationDrive

### m_installationDrive

uint32_t m_installerVersion

### m_installerVersion

uint16_t m_options

### m_options

uint16_t m_type

### m_type

uint16_t m_major

### m_major

uint16_t m_minor

### m_minor

uint32_t m_variant

### m_variant

uint32_t m_languagePtr

### m_languagePtr

uint32_t m_filesPtr

### m_filesPtr

uint32_t m_reqPtr

### m_reqPtr

uint32_t m_unknown

### m_unknown

uint32_t m_componentPtr

### m_componentPtr

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.